--[[
Author: zkj
Date: 2021-06-24 10:54:08
LastEditTime: 2021-07-13 17:00:28
LastEditors: Please set LastEditors
Description: 全局业务服
--]]
local skynet = require "skynet"
require "skynet.manager"
local init_nodes = require("init_nodes")

skynet.start(
    function()
        -- 初始化控制台
        init_nodes:init_console()

        -- 日志
        init_nodes:init_logger()
        -- 数据库
        init_nodes:init_mysql()
        -- redis
        init_nodes:init_redis()
        -- 配置
        init_nodes:init_config()

        skynet.uniqueservice("backupSrv")

        -- 集群
        init_nodes:init_cluster()

        skynet.exit()
    end
)
